Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template
Interface TemplateEngineService

All Known Implementing Classes:
  BaseTemplateEngineService, TurbineJspService, TurbineVelocityService

    public interface TemplateEngineService

This is the interface that all template engine services must adhere to. This includes the Velocity, WebMacro, FreeMarker, and JSP services.

Version:
  $Id: TemplateEngineService.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Jason van Zyl, Daniel Rall

Field Summary
`static String` | `DEFAULT_ERROR_SCREEN`
`static String` | `DEFAULT_LAYOUT`
`static String` | `DEFAULT_LAYOUT_TEMPLATE`
`static String` | `DEFAULT_NAVIGATION`
`static String` | `DEFAULT_NAVIGATION_TEMPLATE`
`static String` | `DEFAULT_PAGE`
`static String` | `DEFAULT_SCREEN`
`static String` | `DEFAULT_SCREEN_TEMPLATE`
`static String` | `DEFAULT_TEMPLATE_EXTENSION`
`static String` | `TEMPLATE_EXTENSIONS`

Method Summary
`String[]` | `getAssociatedFileExtensions()` Supplies the file extension to key this engine in `TemplateService`'s registry with.
`Hashtable<String,Object>` | `getTemplateEngineServiceConfiguration()` Return the configuration of the template engine in the form of a Hashtable.
`void` | `registerConfiguration(String defaultExt)` Initializes file extension associations and registers with the template service.
`boolean` | `templateExists(String template)` Use the specific template engine to determine whether a given template exists.

Field Detail

### TEMPLATE_EXTENSIONS

    static final String TEMPLATE_EXTENSIONS

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_EXTENSION

    static final String DEFAULT_TEMPLATE_EXTENSION

See Also:
  Constant Field Values

### DEFAULT_PAGE

    static final String DEFAULT_PAGE

See Also:
  Constant Field Values

### DEFAULT_SCREEN

    static final String DEFAULT_SCREEN

See Also:
  Constant Field Values

### DEFAULT_LAYOUT

    static final String DEFAULT_LAYOUT

See Also:
  Constant Field Values

### DEFAULT_NAVIGATION

    static final String DEFAULT_NAVIGATION

See Also:
  Constant Field Values

### DEFAULT_ERROR_SCREEN

    static final String DEFAULT_ERROR_SCREEN

See Also:
  Constant Field Values

### DEFAULT_LAYOUT_TEMPLATE

    static final String DEFAULT_LAYOUT_TEMPLATE

See Also:
  Constant Field Values

### DEFAULT_SCREEN_TEMPLATE

    static final String DEFAULT_SCREEN_TEMPLATE

See Also:
  Constant Field Values

### DEFAULT_NAVIGATION_TEMPLATE

    static final String DEFAULT_NAVIGATION_TEMPLATE

See Also:
  Constant Field Values

Method Detail

### getTemplateEngineServiceConfiguration

    Hashtable<String,Object> getTemplateEngineServiceConfiguration()

  Return the configuration of the template engine in the form of a Hashtable.

### registerConfiguration

    void registerConfiguration(String defaultExt)

  Initializes file extension associations and registers with the template service.

  Parameters:
    `defaultExt` - The default file extension association to use in case of properties file misconfiguration.

### getAssociatedFileExtensions

    String[] getAssociatedFileExtensions()

  Supplies the file extension to key this engine in `TemplateService`'s registry with.

### templateExists

    boolean templateExists(String template)

  Use the specific template engine to determine whether a given template exists. This allows Turbine the TemplateService to delegate the search for a template to the template engine being used for the view. This gives us the advantage of fully utilizing the capabilities of template engine with respect to retrieving templates from arbitrary sources.

  Parameters:
    `template` - The name of the template to check the existance of.
  Returns:
    Whether the specified template exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.